<script setup lang="ts">
import { type User } from '@/types/User'
import { nextTick, onMounted, ref } from 'vue'
import type { VForm } from 'vuetify/components'
import SalaryCard from './SalaryCard.vue'
import { useUserStore } from '@/stores/user'
import { useCheckInStore } from '@/stores/checkIn'

const props = defineProps<{
  users: User[]
}>()
const emit = defineEmits<{
  selectedUser: [User]
}>()

function selected(p: User) {
  emit('selectedUser', p)
}

const userStore = useUserStore()
const checkinStore = useCheckInStore()

onMounted(async () => {
  await checkinStore.getCheckIns()
  await userStore.getUsers()
})
</script>
<template>
  <v-toolbar flat style="background-color: #282828; color: white">
          <v-toolbar-title>SALARY</v-toolbar-title>
          <v-spacer></v-spacer>
    </v-toolbar>
  <div style="position: relative; overflow-y: auto">
    <v-container>
      <v-row>
        <v-col cols="12" md="3" v-for="item of users" :key="item.id">
          <SalaryCard :user="item" @selected-user="selected"></SalaryCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<style scoped>
.new-user-btn {
  position: relative;
  margin-top: 1%;
  left: 90%;
  margin-bottom: 20px;
}
</style>
